Skip to main content
GET
Describe the current authenticated session

Authorizations

Authorization
string
header
required

An Agent credential (nits_…), or a person token (nitp_…) on a deployment that enables them. GET /api/v1/session names the principal a credential proves.

Query Parameters

cursor
string
Minimum string length: 1
limit
integer
Required range: 1 <= x <= 100

Response

Describe the current authenticated session

accountId
string
required
Minimum string length: 1
accountName
string
required
Minimum string length: 1
principal
object
required
effectivePermissions
string[]
nextCursor
string | null
projects
object[]
serviceAccount
object
token
object